tigase.util

## Class XMPPStringPrepEmpty

- java.lang.Object
- - tigase.util.XMPPStringPrepEmpty

- All Implemented Interfaces:
    XMPPStringPrepIfc

      public class XMPPStringPrepEmpty
      extends Object
      implements XMPPStringPrepIfc

  Class implementing stringprep processor interface. This is a dummy implementation performing no processing at all. All methods simply return value passed as the method call parameter. Use of this implementation is recommended inly in strictly controlled systems where there is no possibility of getting incorrectly formated JIDs to the system. Of course this implementation causes no impact on the system performance. Created: Feb 4, 2010 9:52:41 AM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPStringPrepEmpty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `nameprep(String domain)` Method description
    `String` | `nodeprep(String localpart)` Method description
    `String` | `resourceprep(String resource)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPPStringPrepEmpty

          public XMPPStringPrepEmpty()

  - ### Method Detail

    - #### nameprep

          public String nameprep(String domain)

      Method description
      Specified by:
        `nameprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `domain` -
      Returns:

    - #### nodeprep

          public String nodeprep(String localpart)

      Method description
      Specified by:
        `nodeprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `localpart` -
      Returns:

    - #### resourceprep

          public String resourceprep(String resource)

      Method description
      Specified by:
        `resourceprep` in interface `XMPPStringPrepIfc`
      Parameters:
        `resource` -
      Returns:

Copyright © 2018 "Tigase, Inc.". All rights reserved.